L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Node Core : déni de service via Numerous DNS Responses

Synthèse de la vulnérabilité 

Un attaquant peut provoquer une erreur fatale via Numerous DNS Responses de Node Core, afin de mener un déni de service.
Produits impactés : BIG-IP Hardware, TMOS, Fedora, IBM API Connect, IRAD, Tivoli Storage Manager, MySQL Community, MySQL Enterprise, Nodejs Core, openSUSE Leap, Solaris, Percona Server, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de ce bulletin : 2/4.
Date de création : 16/11/2020.
Références de cette menace : 6410882, 6420355, 6426699, CERTFR-2021-AVI-101, CERTFR-2021-AVI-146, cpuapr2021, CVE-2020-8277, FEDORA-2020-307e873389, FEDORA-2020-7473744de1, K07944249, openSUSE-SU-2020:2045-1, openSUSE-SU-2020:2092-1, openSUSE-SU-2021:0064-1, openSUSE-SU-2021:0066-1, RHSA-2020:5305-01, RHSA-2020:5499-01, RHSA-2021:0421-01, RHSA-2021:0551-01, SUSE-SU-2020:3478-1, SUSE-SU-2020:3549-1, SUSE-SU-2021:0061-1, SUSE-SU-2021:0062-1, USN-4638-1, VIGILANCE-VUL-33903.

Description de la vulnérabilité 

Un attaquant peut provoquer une erreur fatale via Numerous DNS Responses de Node Core, afin de mener un déni de service.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cet avis cyber-sécurité concerne les logiciels ou systèmes comme BIG-IP Hardware, TMOS, Fedora, IBM API Connect, IRAD, Tivoli Storage Manager, MySQL Community, MySQL Enterprise, Nodejs Core, openSUSE Leap, Solaris, Percona Server, RHEL, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de ce bulletin de faille informatique est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de client internet.

Un attaquant avec un niveau de compétence expert peut exploiter cette faille.

Solutions pour cette menace 

Node Core : version 15.2.1.
La version 15.2.1 est corrigée :
  https://nodejs.org/en/blog/release/v15.2.1/

Node Core : version 14.15.1.
La version 14.15.1 est corrigée :
  https://nodejs.org/en/blog/release/v14.15.1/

Node Core : version 12.19.1.
La version 12.19.1 est corrigée :
  https://nodejs.org/en/blog/release/v12.19.1/

F5 BIG-IP : solution pour Node.js.
La solution est indiquée dans les sources d'information.

Fedora 32 : nouveaux paquetages c-ares.
De nouveaux paquetages sont disponibles :
  Fedora 32 : c-ares 1.17.0-1.fc32

Fedora 33 : nouveaux paquetages c-ares.
De nouveaux paquetages sont disponibles :
  Fedora 33 : c-ares 1.17.0-1.fc33

IBM API Connect : versions corrigées pour Node.js.
Les versions corrigées sont indiquées dans les sources d'information.

IBM Rational Application Developer for WebSphere : versions corrigées pour Node.js.
Les versions corrigées sont indiquées dans les sources d'information.

IBM Spectrum Protect Plus : versions corrigées pour Node.js/jackson-databind.
Les versions corrigées sont indiquées dans les sources d'information.

openSUSE Leap 15.1 : nouveaux paquetages c-ares.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : libcares2 1.17.0-lp151.3.6.1

openSUSE Leap 15.2 : nouveaux paquetages c-ares.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : c-ares 1.17.0-lp152.2.3.1

openSUSE Leap 15.2 : nouveaux paquetages nodejs12.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : nodejs12 12.20.1-lp152.3.9.1

openSUSE Leap 15.2 : nouveaux paquetages nodejs14.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.2 : nodejs14 14.15.4-lp152.5.1

Oracle MySQL : version 5.7.34.
La version 5.7.34 est corrigée :
  https://support.oracle.com/rs?type=doc&id=2764660.1
  https://www.mysql.com/fr/downloads/
  https://dev.mysql.com/downloads/mysql/

Oracle MySQL : version 8.0.24.
La version 8.0.24 est corrigée :
  https://support.oracle.com/rs?type=doc&id=2764660.1
  https://www.mysql.com/fr/downloads/
  https://dev.mysql.com/downloads/mysql/

Oracle Solaris : patch pour logiciels tiers de janvier 2021 v3.
Un patch est disponible :
  https://support.oracle.com/rs?type=doc&id=1448883.1

Percona Server : version 5.7.34-37.
La version 5.7.34-37 est corrigée :
  https://www.percona.com/

RHEL 7 : nouveaux paquetages rh-nodejs12-nodejs.
De nouveaux paquetages sont disponibles :
  RHEL 7.0-7.9 : rh-nodejs12-nodejs 12.19.1-2.el7

RHEL 7 : nouveaux paquetages rh-nodejs14-nodejs.
De nouveaux paquetages sont disponibles :
  RHEL 7.0-7.9 : rh-nodejs14-nodejs 14.15.4-2.el7

RHEL 8 : nouveau module nodejs-12.
Le module suivant est mis à jour :
  RHEL 8 Module : nodejs:12

RHEL 8 : nouveau module nodejs-14.
Le module suivant est mis à jour :
  RHEL 8 Module : nodejs:14

SUSE LE 12 SP2-5 : nouveaux paquetages nodejs12.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 RTM : nodejs12 12.19.1-1.23.1

SUSE LE 15 : nouveaux paquetages c-ares.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP2 : libcares2 1.17.0-3.8.1
  SUSE LE 15 SP1 : libcares2 1.17.0-3.8.1
  SUSE LE 15 RTM : libcares2 1.17.0-3.8.1

SUSE LE 15 SP2 : nouveaux paquetages nodejs12.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP2 : nodejs12 12.20.1-4.10.1

SUSE LE 15 SP2 : nouveaux paquetages nodejs14.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 SP2 : nodejs14 14.15.4-5.6.1

Ubuntu 20.10 : nouveaux paquetages c-ares.
De nouveaux paquetages sont disponibles :
  Ubuntu 20.10 : libc-ares2 1.16.1-1ubuntu0.1
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une contre-mesure de sécurité informatique. Le service de veille sur les vulnérabilités informatiques Vigil@nce alerte vos équipes des failles et des menaces qui concernent votre système d'information.